#include <iostream>

//Show how to use namespace operator
//using namespace std;

class number{
  //our number class will store a double x, and provide some functions to do arithmetic and printing
private:
  
  
public:
  double x;  
  
  //Constructors
  ////Default constructor - sets x to zero
  number(){
    x = 0.0;
  }
  ////If class is initiated with a double, set x to that number
  number(double x_){
    x = x_;
  }
  
  //Member functions  
  ////Print the value of this number to the screen
  void print(){
    std::cout << "This number is " << x << std::endl;
  }

  number operator+ (number b){
    return number(x+b.x);
  }

  void operator= (number b){
     x = b.x;
   }

};

int main(){
  std::cout << "Let's add a bunch of numbers together." << std::endl;
  number N(3);
  number M(2);

  N.print();
  M.print();
  (N+M).print();
  number V = N+M;
  V.print();

  return 0;
}
