#include <iostream>
#include <fstream>
#include <vector>
#include <cmath>

using namespace std;

vector<double> x;
vector<double> uold;
vector<double> unew;

//Variables that we'll need to use

int N; //number of grid points
double t, tfinal, dt; //current time, time at end of simulation, and timestep size
double a,nu; //advection and diffusion parameters;


//Write a function that takes a vector as input and writes it out to disk
void printField(vector<double> u_){
  //Put some stuff here
}

//Write a function that will update unew and uold at each timestep
void update(){
  //Put some stuff here
}

int main(){

  cout << "Beginning finite difference code for 1D advection-diffusion equation with periodic BCs." << endl;
  
  cout << "Pre-processing: Initialize parameters and data structures." << endl;
  //Put some stuff here
  
  cout << "Beginning timestepping." << endl;
  t = 0;
  while(t < tfinal){
    update();
    t += dt;
  }

  cout << "Timestepping complete - outputing final state for post-processing." << endl;
  //Put some stuff here

  cout << "Compute error compared to exact solution." << endl;
  //Put some stuff here

  cout << "Finished." << endl;

  return 0;
}
